/**
 * JS Document.
 * @author Sandro Jordão & Blakstone P Monteiro
 */

 /* ****** CRUD RELATORIOS ****** */

function novoRelatorio()
{
	verificarLogado();
	
	$.post(basepath + "relatorio/modalClonar", { tipo : 'R' }, function(data){
	
		$('#listReports, #abaReportsList').animate({ left: '-=327' }, 100, function(){ $('#abaReportsList').fadeIn('fast'); });	
		
		pageWidth = $(window).width();
		pageHeight = $(window).height();
	
		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px', 'z-index' : '9999998'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'top' : '50%','left' : '50%','width' : '420px','height' : '200px','margin-left' : '-210px','margin-top' : '-150px', 'z-index' : '9999999'};
		
		var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '185px','margin-top' : '-107px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-45px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_avancar.png" onClick="criarRelatorio()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '215px','margin-top' : '-45px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function(){
			
			$("#janela_modal").append(data);
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
		});
		
		return false;
	});
}

function fechar() 
{
    $("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}

function buscaRelatoriosClonar()
{
	var opcao = $("input[name='rdoRelatorioClonar']:checked").val();
	
	var count = 0;
	$("#comboRelatorios option").each(function(){ count++ });
	
	if(opcao == 'E')
	{
		if(count > 1)
		{
			$("#comboRelatorios").removeAttr("disabled");
		}
		else
		{
			$("#comboRelatorios option").remove("");
			$("#comboRelatorios").append('<option value="">Nenhum relatório encontrado!</option>');
		}
	}
	else
	{
		if(count == 1)
		{
			$("#comboRelatorios option").remove("");
			$("#comboRelatorios").append('<option value="">&nbsp;</option>');
		}
		
		$("#comboRelatorios").attr("disabled", true).val("");
	}
}

function criarRelatorio()
{
	var opcao = $("input[name='rdoRelatorioClonar']:checked").val();
	
	if(opcao == 'E')
	{
		var relatorio = $("#comboRelatorios").val();
		
		if(relatorio != '')
			window.location.href = basepath + 'relatorio/clonar/' + relatorio;
		else
			return false;
	}
	else
	{
		window.location.href = basepath + 'principal/criar';
	}
}

function editarRelatorio()
{
	var dados = $("input[name='rdoRelatorio']:checked").val();

	if(dados)
	{
		var array = dados.split("_");
		var relatorio = array[0];
		var tipo = array[1];
		
		if(tipo == 'R')
			window.location.href = basepath + 'personal_reports/alterarpr/' + relatorio;
		else if(tipo == 'U')
			window.location.href = basepath + 'cadastros/alterarURL/' + relatorio;
		else
			window.location.href = basepath + 'relatorio/alterar/' + relatorio;
	}
	else
	{
		jAlert('Selecionar um relatório para alteração!', 'Alerta!', function() { return false; });
	}
}

function editarRelatorioInfo()
{
	var dados = $("input[name='rdoRelatorio']:checked").val();

	if(dados)
	{
		var array = dados.split("_");
		var relatorio = array[0];
		var tipo = array[1];
		
		if(tipo == 'R')
			window.location.href = basepath + 'personal_reports/alterarpr/' + relatorio;
		else if(tipo == 'U')
			window.location.href = basepath + 'cadastros/alterarURL/' + relatorio;
		else
			window.location.href = basepath + 'relatorio/alterarInfo/' + relatorio;
	}
	else
	{
		jAlert('Selecionar um relatório para alteração!', 'Alerta!', function() { return false; });
	}
}

function deletarRelatorio()
{
	var relatorio = $("input[name='rdoRelatorio']:checked").val();

	if(relatorio)
	{
		$.post(basepath + 'principal/verificarLogado', 
			function(logado) {
				if(logado == 0)
				{
					// 
					jConfirm("Deseja realmente excluir o relatório?", 'Confirmação!',
						function(r) {
							if (r == true)
							{
								$.post(basepath + "principal/excluirReport", {
									relatorio : relatorio
								}, function(data){
									if(data == 1)
										jAlert('Relatório excluido com sucesso!' ,"Alerta!", function(){ window.location.href = basepath + 'principal/relatorios'; });
									else
										jAlert('Não foi possível excluir o relatório!' ,"Alerta!");
								});
							}
							else
							{
								return false;
							}
						});
						//
				} 
				else
				{
					window.location.href = basepath + 'principal/' + logado;
				}
			});
	}
	else
	{
		jAlert('Selecionar um relatório para exclusão!', 'Alerta!', function() { return false; });
	}
}

/* ****** FIM CRUD RELATORIOS ****** */

function adicionarFiltros(relatorio)
{	
	var tabela = $('#tabela').val();

	var divHeight = $(".contentRight").height() - 110;
	var divWidth = $(".contentRight").width() - 7;

	var	filtroCampo = new Array();
	$(".divFiltrosMaster select[name='filtroCampos']").each(function(){ if($(this).val() != '') filtroCampo.push($(this).val()); });
	var	filtroCampoID = new Array(); 
	var	filtroOpcao = new Array();
	$(".divFiltrosMaster select[name='opcao']").each(function(){ filtroOpcao.push($(this).val()); filtroCampoID.push(this.id); });
	var	filtroValor1 = new Array();
	$(".divFiltrosMaster input[name='valorFiltro1']").each(function(){ filtroValor1.push($(this).val()); });
	var	filtroValor2 = new Array();
	$(".divFiltrosMaster input[name='valorFiltro2']").each(function(){ filtroValor2.push($(this).val()); });
	
	var kkCont, aid;
	for(kkCont=0; kkCont < filtroOpcao.length; kkCont++) {
		if(filtroOpcao[kkCont] == 'selecionar' || filtroOpcao[kkCont] == 'filtrar') {
			aid = filtroCampoID[kkCont].split("_");			
			filtroValor1[kkCont] = $("#inputSelect_" + aid[1]).val();
			filtroValor2[kkCont] = '';
		}
	}

	$("#btnAtualizar").after('<span id="pesquisando"> <img src="' + basepath + 'www/imagem/loading.gif" align="absmiddle" /> Atualizando, Por favor aguarde... </span>');

	$("#contentFiltros").next("div").remove();
	
	$("#filtering").val(1);
		
	// Dados Filtro Detail
	var masterDetail = false;
	var tabelaDetail = '';
	var	filtroCampoDetail = new Array();	
	var	filtroOpcaoDetail = new Array(); 
	var	filtroValorDetail1 = new Array();
	var	filtroValorDetail2 = new Array();
	var filtroCampoIDDetail = new Array();
	if( $("#tipoRelatorioDetail").length > 0 && $("#tipoRelatorioDetail").val() == 'D' )
	{
		masterDetail = true;
		
		tabelaDetail = $("#tabelaDetail").val();
		
		$(".divFiltrosDetail select[name='filtroCamposDetail']").each(function(){ if($(this).val() != '') filtroCampoDetail.push($(this).val()); });
		$(".divFiltrosDetail select[name='opcao']").each(function(){ filtroOpcaoDetail.push($(this).val()); filtroCampoIDDetail.push(this.id); });
		$(".divFiltrosDetail input[name='valorFiltro1']").each(function(){ filtroValorDetail1.push($(this).val()); });
		$(".divFiltrosDetail input[name='valorFiltro2']").each(function(){ filtroValorDetail2.push($(this).val()); });
	}

	$.post(basepath + "principal/adicionarFiltros", {
		relatorio 			   : relatorio,
		tabela 				   : tabela,
		'filtroCampo[]' 	   : filtroCampo,
		'filtroOpcao[]' 	   : filtroOpcao,
		'filtroValor1[]' 	   : filtroValor1,
		'filtroValor2[]' 	   : filtroValor2,
		masterDetail		   : masterDetail,
		tabelaDetail 		   : tabelaDetail,
		'filtroCampoDetail[]'  : filtroCampoDetail,
		'filtroOpcaoDetail[]'  : filtroOpcaoDetail,
		'filtroValorDetail1[]' : filtroValorDetail1,
		'filtroValorDetail2[]' : filtroValorDetail2,
		divHeight 			   : divHeight,
		divWidth 			   : divWidth
	}, function(data) {
		$("#contentFiltros").slideUp('fast');
    
		$("#contentFiltros").after(data);
    
		$("#pesquisando").remove();
    
		$("#sinal_filtros").html('+');
	});
}

function verFiltros(relatorio)
{
	if( $("#contentFiltros").is(':visible') )
	{
		$("#contentFiltros").slideUp('fast', function() { $("#sinal_filtros").html('+'); });
	}
	else
	{
		$.post(basepath + 'principal/verificarLogado', 
			function(logado) {
				if(logado == 0)
				{
					var filtering = $("#filtering").val();
					
					var campos = 0;
					$("select[name='filtroCampos']").each(function(){ if( $(this).val() != '' ) campos++; });

					if(campos == 0 && filtering == 0)
					{
						$.post(basepath + "principal/filtros", {
							relatorio : relatorio
						}, function(data) {
							$("#contentFiltros").html(data);

							$("select[name='filtroCampos']:not(.selectBloqueado), select[name='filtroCamposDetail']:not(.selectBloqueado)").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: 'multiselect-filtros multiselect-menu-filtros' });
							$("select[name='filtroCampos']:not(.selectBloqueado), select[name='filtroCamposDetail']:not(.selectBloqueado)").multiselect('refresh');
							$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});	
							
							$("#contentFiltros").slideDown('fast', function() { $("#sinal_filtros").html('-'); });
							
							$('.opacityImgDel').click(removerFiltro);
						});
					}
					else
					{
						$("#contentFiltros").slideDown('fast', function() { $("#sinal_filtros").html('-'); });
					}

				}
				else
				{
					window.location.href = basepath + 'principal/' + logado;
				}
			});
	}
}

function msn()
{
	if($('#procurar').val() == '')
	{
		$('#procurar').val('Pesquisar relatórios...');
		$('#procurar').removeClass('inputProcurarOff').addClass('inputProcurarOn');
	}
}

function limpar()
{
	if($('#procurar').val() == 'Pesquisar relatórios...')
	{
		$('#procurar').val('');
		$('#procurar').removeClass('inputProcurarOn').addClass('inputProcurarOff');
	}
}

function filtroPersonalizado(id)
{
	var valor = $("#" + id).val();
	var arrayValor = valor.split(",");
	var relatorio = $("#relatorioid").val();

	if(valor != '')
	{
		$.post(basepath + "principal/filtroPersonalizado", {
			relatorio : relatorio,
			valor : arrayValor[1]
		}, function(data){
			// MONTA AS OPCOES DO FILTRO //
			$("#" + id).next().next().html(data);
			
			// NUMERO //
			$(".opcaoTime").mask("99:99:99");
			$('.opcaoInt').keypress(function(e) {
				var c = String.fromCharCode(e.which);
				var allowed = '1234567890';
				if (e.which != 8 && allowed.indexOf(c) < 0) return false;
			});
			
			$('.opcaoFloat').keypress(function(e) {
				var c = String.fromCharCode(e.which);
				var allowed = '1234567890.,';
				if (e.which != 8 && allowed.indexOf(c) < 0) return false;
			});
			
			// DATA //
			$(".opcaoData").mask("99/99/9999");
			
			var aidcampo = id.split("_");
			if(aidcampo.length > 1)
			  var idcampo =  aidcampo[1];
			else
			  var idcampo =  0;			
			
			$("#" + id).next().next().children("select[name='opcao']").attr("id", "opcao_" + idcampo);
			$("#" + id).next().next().children("select[name='inputSelect']").attr("id", "inputSelect_" + idcampo);	
			
			$('.btnDivDel:first').html(imgRemover);
			
			$('.opacityImgDel:first').click(removerFiltro);
		});
	}
	else
	{
		$("#" + id).next().next().html("");
		
		return false;
	}
}

function gerarPersonalizado()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				// 		
				var relatorio = $("#relatorioid").val();
				
				var divHeight = $(".contentRight").height() - 68;
				var divWidth = $(".contentRight").width() - 7;

				var	filtroCampo = new Array();
				$("select[name='filtroCampos']").each(function(){ if($(this).val() != '') filtroCampo.push($(this).val()); });
				var	filtroCampoID = new Array();
				var	filtroOpcao = new Array();
				$("select[name='opcao']").each(function(){ filtroOpcao.push($(this).val()); filtroCampoID.push(this.id); });
				var	filtroValor1 = new Array();
				$("input[name='valorFiltro1']").each(function(){ filtroValor1.push($(this).val()); });
				var	filtroValor2 = new Array();
				$("input[name='valorFiltro2']").each(function(){ filtroValor2.push($(this).val()); });

				var kkCont, aid;
				for(kkCont = 0; kkCont < filtroOpcao.length; kkCont++) 
				{
					if(filtroOpcao[kkCont] == 'selecionar' || filtroOpcao[kkCont] == 'filtrar') 
					{
						aid = filtroCampoID[kkCont].split("_");			
						filtroValor1[kkCont] = $("#inputSelect_" + aid[1]).val();
						filtroValor2[kkCont] = '';
					}
				}
				
				$("#btnAtualizar").after('<span id="pesquisando"> <img src="' + basepath + 'www/imagem/loading.gif" align="absmiddle" /> Atualizando, Por favor aguarde... </span>');
				
				$.post(basepath + "principal/gerarPersonalizado", {
					relatorio : relatorio,
					divHeight : divHeight,
					divWidth  : divWidth,
					'filtroCampo[]' : filtroCampo,
					'filtroOpcao[]' : filtroOpcao,
					'filtroValor1[]' : filtroValor1,
					'filtroValor2[]' : filtroValor2
				}, function(data) {
					$("#contentFiltros").slideUp('fast');
					$("#divPersonalizado").html(data);
					$("#pesquisando").remove(); 
					$("#sinal_filtros").html('+');
				});
				//
			}
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function gerar(id, tipo)
{
	$("#relatorioid").val(id);
	
	var divHeight = $(".contentRight").height() - 68;
	var divWidth = $(".contentRight").width() - 7;

	$("#contentReport").html("");

	$("#loading").fadeIn('slow');
	
	$('#listReports, #abaReportsList').animate({ left: '-=327' }, 100, function(){ $('#abaReportsList').fadeIn('fast'); });	

	$.post(basepath + "principal/gerar", {
		id 		  : id,
		tipo 	  : tipo,
		divHeight : divHeight,
		divWidth  : divWidth
	}, function(data){
		$("#contentReport").html(data);

		$(".contentRight").css('border', 'none');

		$("#loading").hide();
	});
}

function procurar()
{
	var valor = $("#procurar").val();

	if(valor == 'Pesquisar relatórios...') valor = '';
	
	if(valor.length > 2 || valor == '')
	{
		$("#btnProcurar").hide();
		$("#loadingModal").show();

		$.post(basepath + "principal/procurarRelatorios", {
			valor : valor
		}, function(data) {
			$("#abaRelatorio").html(data);
			
			$("#listasDashboard").slideDown('fast');

			if(valor != '') 
			{ 
				$(".grupoContent").show(); 
				
				$(".sinal").each(function(){ 
					$(this).html('-'); 
				}); 
			}
			
			$(".trRelatorio").click(selecionarRelatorio);
			
			$("#loadingModal").hide();
			$("#btnProcurar").show();
		});
	}
}

function toggleLista(indice)
{
	if( $("#group_" + indice).is(':visible') )
	{
		$("#group_" + indice).slideUp('fast', function() { 
			$("#sinal_" + indice).html('+'); 
		});
	}
	else
	{
		$(".grupoContent").slideUp(400, function(){ 
			$(".sinal").html('+'); 
		});  
			
		setTimeout(function(){ 
			$("#sinal_" + indice).html('-'); 
			
			$("#group_" + indice).slideDown('show'); 
		}, 450);
	}
}

/**
 * 
**/
function selecionarRelatorio()
{
	$(this).children().children("input[name='rdoRelatorio']:first").attr('checked', true);
	
	$(".trSelected").removeClass('trSelected').addClass('trRelatorio');
	
	$(this).removeClass('trRelatorio').addClass('trSelected');
	
	return false;
}

/**
 * Listas de Dashboard/Relatorios
 * Procurar
**/
/*
function procurar(tipo)
{
	var valor = (tipo == 1) ? $.trim($("#procurarDashboard").val()) : $.trim($("#procurarRelatorio").val());

	var dashboard = $("#dashboardid").val();
	
	if(valor == 'Pesquisar...') valor = '';
	
	if(valor.length > 2 || valor == '')
	{
		$("#btnProcurar").hide();
		$("#loadingModal").show();

		$.post(basepath + "principal/procurar", {
			dashboard : dashboard,
			valor 	  : valor,
			tipo 	  : tipo
		}, function(data) {
			if(tipo == 1)
			{
				$("#abaDashboard").html(data);
				
				$(".trDashboard").click(selecionarDashboard);
			}
			else
			{
				$("#abaRelatorio").html(data);
				
				$("#listasDashboard").slideDown('fast');

				if(valor != '') 
				{ 
					$(".grupoContent").show(); 
					
					$(".sinal").each(function(){ 
						$(this).html('-'); 
					}); 
				}
			}
			
			$("#loadingModal").hide();
			$("#btnProcurar").show();
		});
	}
}
*/

/*
function adicionardash(id)
{
	jConfirm("Deseja realmente incluir o relatório no dashboard?", 'Confirmação!',
		function(r) {
			if (r == true)
			{
				$.post(basepath + "principal/inserirDashboard", {
					relatorio : id
				}, function(data) {
					if (data == 1)
						window.location.href = basepath + 'principal/dashboard';
					else
						jAlert('Não foi possível incluir o relatório!', 'Alerta!');
				});
			}
			else
			{
				return false;
			}
		});
}

function gerarDashboard(id, tipo)
{
	jConfirm("Deseja realmente incluir o relatório no dashboard?", 'Confirmação!',
		function(r) {
			if (r == true)
			{
				$.post(basepath + "principal/inserirDashboard", {
					relatorio : id
				}, function(data) {
					if (data == 1)
						window.location.href = basepath + 'principal/dashboard';
					else
						jAlert('Não foi possível incluir o relatório!', 'Alerta!');
				});
			}
			else
			{
				return false;
			}
		});
}
*/

/*
function ver(indice)
{
	if( $("#grupoContent_" + indice).is(':visible') )
		$("#grupoContent_" + indice).slideUp('fast');
	else
		$("#grupoContent_" + indice).slideDown('fast');

	setTimeout(function(){
		if( $("#grupoContent_" + indice).is(':visible') )
			$("#sinal_" + indice).html('-');
		else
			$("#sinal_" + indice).html('+');
	}, 500);
}
*/

/**
 * Exporta o Grid para PDF
**/
function exportPdf(id)
{
	jConfirm("Deseja imprimir o relatório em Landscape?", 'Confirmação!',
		function(r) {
			if (r == true)
				window.location.href = basepath + 'exportar/pdf/' + id + '/L';
			else
				window.location.href = basepath + 'exportar/pdf/' + id + '/P';
	});
}

/**
 * Mostra/Esconde a lista de relatorios
**/
function animateReports()
{
	emAnimacao = true;
	
	if($('#listReports').offset().left == 0)
	{
		$('#listReports, #abaReportsList').animate({ left: '-=327' }, 100, function(){ $('#abaReportsList').fadeIn('fast'); emAnimacao = false; });	
	}
	else
	{
		$.post(basepath + 'principal/verificarLogado', 
			function(logado) {
				if(logado == 0)
				{
					selectedTr($("#relatorioid").val());
					
					$('#abaReportsList').fadeOut('fast');
					
					$('#listReports, #abaReportsList').animate({ left: '+=327' }, 1000, function() { emAnimacao = false; });
				}
				else
				{
					window.location.href = basepath + 'principal/' + logado;
				}
		});
	}
	
	return false;
}

/**
 * Foco no Relatório
**/
function selectedTr(indice)
{
	if(indice != 0)
	{
		$("#rdo_" + indice).attr('checked', true);
		
		$(".trSelected").removeClass('trSelected').addClass('trRelatorio');
		
		$("#rdo_" + indice).parent().parent().removeClass('trRelatorio').addClass('trSelected');
		
		var grupo = $("#rdo_" + indice).parent().parent().parent().parent().attr("id"); 
		
		if(typeof grupo != 'undefined')
		{
			var arrayGrupo = grupo.split("_");
			
			$(".grupoContent").hide(); 
			
			$(".sinal").each(function(){ $(this).html('+'); }); 
			
			$("#" + grupo).slideDown('fast', function() { $("#sinal_" + arrayGrupo[1]).html('-'); });
		}
	}
	else
	{
		return false;
	}
}

/**
 * Carrega o ultimo relatorio visualizado
**/
function lastReport()
{
	var relatorio = $("#relatorioid").val();
	
	if(relatorio != 0)
	{
		var divHeight = $(".contentRight").height() + 180;
		var divWidth  = $(".contentRight").width();
		var tipo 	  = $("#relatoriotipo").val();

		$("#loading").fadeIn('slow');

		$.post(basepath + "principal/gerar", {
			id		  : relatorio,
			tipo 	  : tipo,
			divHeight : divHeight,
			divWidth  : divWidth
		}, function(data){
			$("#contentReport").html(data);
		
			$(".contentRight").css('border', 'none');
		
			$("#loading").hide();
		});
	}
	else
	{
		return false;
	}
}

/**
 * Função VinculaClickRelatorio
**/
function VinculaClickRelatorio(relatorio, valores, x, y)
{
	$.post(basepath + "principal/ShowVinculoRelatorioProcura", {
		relatorio   : relatorio,
		valores		: valores
	}, function(data) { 
		var valores1 = data.split(",");
		
		if(valores1[0] == 1) 
		{
			window.open(valores1[1], "_blank");
		} 
		else 
		{
			// Pega os Filtros
			var filtering = $("#filtering").val();
			
			var	filtroCampo = new Array();
			var	filtroCampoID = new Array(); 
			var	filtroOpcao = new Array();
			var	filtroValor1 = new Array();
			var	filtroValor2 = new Array();
			
			$(".divFiltrosMaster select[name='filtroCampos']").each(function(){ if($(this).val() != '') filtroCampo.push($(this).val()); });
			$(".divFiltrosMaster select[name='opcao']").each(function(){ filtroOpcao.push($(this).val()); filtroCampoID.push(this.id); });
			$(".divFiltrosMaster input[name='valorFiltro1']").each(function(){ filtroValor1.push($(this).val()); });
			$(".divFiltrosMaster input[name='valorFiltro2']").each(function(){ filtroValor2.push($(this).val()); });
			
			var kkCont, aid;
			for(kkCont=0; kkCont < filtroOpcao.length; kkCont++) 
			{
				if(filtroOpcao[kkCont] == 'selecionar' || filtroOpcao[kkCont] == 'filtrar') 
				{
					aid = filtroCampoID[kkCont].split("_");		
					
					filtroValor1[kkCont] = $("#inputSelect_" + aid[1]).val();
					
					filtroValor2[kkCont] = '';
				}
			}

			$.post(basepath + "principal/ShowVinculoRelatorio", {
				relatorio   	 : relatorio,
				valores     	 : valores,
				x				 : x,
				y				 : y,
				filtering		 : filtering,
				'filtroCampo[]'  : filtroCampo,
				'filtroOpcao[]'  : filtroOpcao,
				'filtroValor1[]' : filtroValor1,
				'filtroValor2[]' : filtroValor2
			}, function(data) { 
				if(data != "") 
				{
					$("#janela_modalGrafico").html('');
					$("#overlay").html('');
					
					var overlay = '<div id="overlay"></div>';
					var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','display' : 'none', 'z-index' : '9999998'};
					
					var janela = '<div id="janela_modalGrafico"></div>';
					var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '790px','height' : '450px','margin-left' : '-395px','margin-top' : '-225px','border' : '4px solid #63A0CE','border-radius' : '10px 0px 10px 10px','z-index' : '9999999'};

					var btnFechar = '<div class="fecharModal"><img id="btnFecharGrafico" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" onClick="fecharModalGrafico()" /></div>';
					
					$("body").append(overlay);
					$("body").append(janela);
					$("#overlay").css(overlayCSS).fadeIn('fast', function(){
						
						$("#janela_modalGrafico").append(data);
					
						$("#janela_modalGrafico").append(btnFechar);
						$("#btnFecharGrafico").fadeIn("slow");
						
						$("#janela_modalGrafico").css(janelaCSS).fadeIn("slow");	
					});
				}	
			});
		}
	});
}

function fecharModalGrafico() 
{
	$("#janela_modalGrafico").fadeOut();
	$("#overlay").fadeOut();
}

/**
 * Função Inicial
**/
function init()
{
	// Medidas da Tela
	pageWidth = $(document).width();
	pageHeight = $(document).height();
	
	// Procurar relatorios
	$("#procurar").bind('keypress', function(e) { if(e.keyCode == 13){ procurar(); } });
	
	// Abre/Fecha a lista de relatorios
	$('#abaReportsList').click(function(e) { e.stopPropagation(); if(!emAnimacao) { animateReports(); } });
	
	// Carrega o ultimo relatorio visualizado
	lastReport();
	
	// Abre/Fecha os grupos de relatorios
	$(".trRelatorio").click(selecionarRelatorio);
	
	// GRADIENTE DOS GRAFICOS
	Highcharts.getOptions().colors = $.map(Highcharts.getOptions().colors, function(color) { return { radialGradient: { cx: 0.9, cy: 0.6, r: 1.0 }, stops: [[0, color],[1, Highcharts.Color(color).brighten(-0.15).get('rgb')]]}; });
}
var emAnimacao = false;
$(document).ready(init);